Bug 233651 - sysutils/cbsd: fix build on powerpc64
Summary: sysutils/cbsd: fix build on powerpc64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Linimon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-30 00:00 UTC by Piotr Kubaj
Modified: 2018-12-02 02:54 UTC (History)
2 users (show)

See Also:
olevole: maintainer-feedback+


Attachments
patch (368 bytes, patch)
2018-11-30 00:00 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj 2018-11-30 00:00:43 UTC
Created attachment 199678 [details]
patch

-mminimal-toc needs to be added to CFLAGS on powerpc64 to compile this port.

Hardware sponsored by IntegriCloud.
Comment 1 olevole 2018-12-01 17:04:58 UTC
I approve it. Please commit!
Comment 2 commit-hook freebsd_committer 2018-12-02 02:54:14 UTC
A commit references this bug:

Author: linimon
Date: Sun Dec  2 02:53:31 UTC 2018
New revision: 486392
URL: https://svnweb.freebsd.org/changeset/ports/486392

Log:
  -mminimal-toc needs to be added to CFLAGS on powerpc64 to compile this port.

  PR:		233651
  Submitted by:	Piotr Kubaj
  Approved by:	maintainer

Changes:
  head/sysutils/cbsd/Makefile